# string::trim-start

Returns the given string trimmed of leading whitespace.

### Usage

`string string::trim-start(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | input string

### Return Value

The string s with any leading whites pace characters removed.

### Examples

-     string::trim-start('  test  ') ==> 'test  '

-     string::trim-start('\t\tfoo  \r\n') ==> 'foo  \r\n'

### Requirements

Assembly: NAnt.Core (0.92.4543.0)